﻿$packageName = 'puppet-agent'
$url32       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.3.6-x86.msi'
$url64       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.3.6-x64.msi'
$checksum32  = '46725f552b9478d83cb4106dd24b24d9f81f3a15c6400d0ad3b35e828200728d'
$checksum64  = '758fee37810c78780b267343845f3e4b0e1481fb8a83bfc117b367e9697450ab'


$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = "/qn /norestart"
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
